import requests
import datetime
import time
import threading

enc_url = "https://lbapi-rk.chaoxing.com/lb/parise/enc/get"
url = "https://zhibo.chaoxing.com/apis/live/setLivePariseCountByEnc"
sub_room_id = "381236458034402305"
ss = "381237373432790016"

print(int(datetime.datetime.now().timestamp()) * 1000)

def parise(thread_name = 0):
    while (1):
        try:
            timestamp = int(datetime.datetime.now().timestamp()) * 1000

            enc = requests.get(
                url=enc_url,
                params={
                    "subRoomId": sub_room_id,
                    "timestamp": timestamp,
                    "ss": ss
                },
                cookies={
                    "route": "fc156df5eb135d4b66fe10961ebe406f"
                },
                headers= {
                    "Accept": "application/json, text/javascript, */*; q=0.01",
                    "User-Agent": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/128.0.0.0 Safari/537.36 Edg/128.0.0.0"
                }
            ).json()["enc"]

            r = requests.get(
                url = url, 
                params = {
                    "subroomId": sub_room_id,
                    "enc": enc,
                    "timestamp": timestamp
                }, 
                cookies={
                    "route": "fc156df5eb135d4b66fe10961ebe406f"
                },
                headers= {
                    "Accept": "application/json, text/javascript, */*; q=0.01",
                    "User-Agent": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/128.0.0.0 Safari/537.36 Edg/128.0.0.0"
                }
            )

            print("\r{}\t{}\t{}".format(thread_name, r.status_code, r.json()["data"]), end="")
            print(r.json());
        except Exception as e:
            continue

thread_list = []
for i in range(200):
    thread_list.append(threading.Thread(target=parise, args=(f"{i}", )))

print("线程号\t响应码\t点赞量")
for i in thread_list:
    i.start()
